
*************************************************正文部分内容***************************************************

*正文“表1 描述性统计”
clear
use "C:\Users\20351\Desktop\Data_Code\city_data.dta" 
sum Ln_entry   Tribunal  Ln_firm Ln_rgdp Ln_growth Ln_growth2 Ln_pop Public  order Ins Ln_fdi


*正文“表2 基准回归结果”
clear
use "C:\Users\20351\Desktop\Data_Code\city_data.dta" 
reghdfe  Ln_entry Tribunal,absorb( id year ) cluster(id)
outreg2 using table2.xls,bdec(4) keep(Tribunal)  addtext( Controls,No,City FE,Yes,Year FE,Yes,Prov#Yer,No) replace
reghdfe  Ln_entry Tribunal c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year ,absorb( id year ) cluster(id)
outreg2 using table2.xls,bdec(4) keep(Tribunal)  addtext( Controls,Yes,City FE,Yes,Year FE,Yes,Prov#Yer,No) append
reghdfe  Ln_entry Tribunal c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year ,absorb(id year#provi) cluster(id)
outreg2 using table2.xls,bdec(4) keep(Tribunal)  addtext( Controls,Yes,City FE,Yes,Year FE,Yes,Prov#Yer,Yes) append

clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
reghdfe  Ln_entry Tribunal c.Ln_firm#year,absorb(industrycode#id industrycode#year) vce(cluster id)
outreg2 using table2.xls,bdec(4) keep(Tribunal) addtext(Control,No,City#Industry,Yes,Prov#Year,No,Industry#Year,Yes,City#Year,Yes) append
reghdfe  Ln_entry Tribunal c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year,absorb(industrycode#id year industrycode#year) vce(cluster id)
outreg2 using table2.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City#Industry,Yes,Prov#Year,No,Industry#Year,Yes,City#Year,Yes) append
reghdfe  Ln_entry Tribunal c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using table2.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes,City#Year,Yes) append

*正文“图1 平行趋势检验”
clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
reghdfe  Ln_entry d_7 d_6 d_5 d_4 d_3 d_2 d__1 current d1 d2 d3 d4  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year  c.Public#year  c.Ins#year c.Ln_fdi#year    ,absorb(  industrycode#id year provcode#year industrycode#year) vce(cluster id)
coefplot, baselevels omitted xlabel (1 "-7" 2 "-6" 3 "-5" 4 "-4" 5 "-3" 6 "-2" 7 "-1" 8 "0" 9 "1" 10 "2" 11 "3" 12 "4" ) keep(d_7 d_6 d_5 d_4 d_3 d_2 d__1 current d1 d2 d3 d4  ) vertical recast(connect) color(gs0) yline(0, lp(solid) lc(gs0) lw(thin)) xline(7, lp(solid) lc(gs0) lw(thin)) ytitle(`"{fontface "宋体":估计系数}"') xtitle(`"{fontface "宋体":相对于政策实施时间（年份）}"')  ciopts(recast(rline) lc(gs0) lp(dash) lw(thin)) scale(1.2) xscale(titlegap(tiny))  scheme(s1color)  level(95) 
****相关导出文件请参见"图1.gph"文件*****


**正文“表3 破产审判改革对企业破产可得性的影响”
*新增破产申请数量
clear
use "C:\Users\20351\Desktop\Data_Code\city_data.dta" 
reghdfe  Ln_Case Tribunal  ,absorb(id year#provi) cluster(id)
outreg2 using table3.xls,bdec(4) keep(Tribunal) addtext(City Control,No,Firm Control,No,City,Yes,Year,Yes,Prov#Year,Yes) replace
reghdfe  Ln_Case Tribunal c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year ,absorb( id year#provi) cluster(id)
outreg2 using table3.xls,bdec(4) keep(Tribunal) addtext(City Control,Yes,Firm Control,No,City,Yes,Year,Yes,Prov#Year,Yes) append
*破产申请受理概率
clear
use "C:\Users\20351\Desktop\Data_Code\case_data.dta"
reghdfe Accept Tribunal  city#c.year ,a(city year prov_code#year industrycode ) vce(cluster city )
outreg2 using table3.xls,bdec(4) keep(Tribunal) addtext(City Control,No,Firm Control,No,City,Yes,Year,Yes,Prov#Year,Yes) append
reghdfe Accept Tribunal  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year c.Public#year c.order#year  c.Ins#year c.Ln_fdi#year city#c.year ,a( city year prov_code#year industrycode ) vce(cluster city)
outreg2 using table3.xls,bdec(4) keep(Tribunal) addtext(City Control,Yes,Firm Control,No,City,Yes,Year,Yes,Prov#Year,Yes) append
reghdfe Accept Tribunal Age soe lncapital c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year c.Public#year c.order#year  c.Ins#year  c.Ln_fdi#year city#c.year ,a( city year prov_code#year industrycode ) vce(cluster city)
outreg2 using table3.xls,bdec(4) keep(Tribunal) addtext(City Control,Yes,Firm Control,Yes,City,Yes,Year,Yes,Prov#Year,Yes) append


**正文“表4 破产审判改革对无创业经历家庭的创业意愿的影响”
clear
use "C:\Users\20351\Desktop\Data_Code\household_data.dta"
reghdfe Entrep_Exp Tribunal ,a( hhid year ) cluster(city)
outreg2 using table4.xls,bdec(4) keep(Tribunal)  addtext( Individual Controls,No,Family Controls,No,Province FE×Year FE,No,Individual FE,Yes,Year FE,Yes) replace
reghdfe Entrep_Exp Tribunal  i.Sex i.edu Age i.Married ,a( hhid year ) cluster(city)
outreg2 using table4.xls,bdec(4) keep(Tribunal)  addtext( Individual Controls,Yes,Family Controls,No,Province FE×Year FE,No,Individual FE,Yes,Year FE,Yes) append
reghdfe Entrep_Exp Tribunal  i.Sex i.edu Age i.Married old_ratio young_ratio lnper_income ,a( hhid year ) cluster(city)
outreg2 using table4.xls,bdec(4) keep(Tribunal)  addtext( Individual Controls,Yes,Family Controls,Yes,Province FE×Year FE,No,Individual FE,Yes,Year FE,Yes) append
reghdfe Entrep_Exp Tribunal  i.Sex i.edu Age i.Married old_ratio young_ratio lnper_income ,a( hhid year#provi ) cluster(city)
outreg2 using table4.xls,bdec(4) keep(Tribunal)  addtext( Individual Controls,Yes,Family Controls,Yes,Province FE×Year FE,Yes,Individual FE,Yes,Year FE,Yes) append

**正文“表5  破产审判改革的信贷资源释放效应”
*列（1）和列（2）
clear
use "C:\Users\20351\Desktop\Data_Code\loan_data.dta" 

reghdfe Z_Loan_City Tribunal Firm_Loan_City  ,a(id year#provi) cluster(id)
outreg2 using table5.xls,bdec(4) keep(Tribunal ) addtext(Control,No,City,Yes,Year#Prov FE,Yes) replace
reghdfe Z_Loan_City Tribunal Firm_Loan_City c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year c.Public#year c.Ins#year  c.Ln_fdi#year c.order#year,a(id year#provi) cluster(id)
outreg2 using table5.xls,bdec(4) keep(Tribunal ) addtext(Control,Yes,City,Yes,Year#Prov FE,Yes) append
*列（3）和列（4）
clear
use "C:\Users\20351\Desktop\Data_Code\bank_data.dta" 
reghdfe  NPL Tribunal ,absorb(  bankcode  prov#year ) vce(cluster city_code)
outreg2 using table5.xls,bdec(4) keep(Tribunal) addtext(Control,No,Bank FE,Yes,Year#Prov FE,Yes) append
reghdfe  NPL Tribunal Roa Size Lcptadqrt Level Lrd,absorb(  bankcode  prov#year ) vce(cluster city_code)
outreg2 using table5.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,Bank FE,Yes,Year#Prov FE,Yes) append

*正文“表6 破产审判改革与劳动要素释放”
clear
use  "C:\Users\20351\Desktop\Data_Code\city_data.dta"  
reghdfe  Z_Share c.Tribunal#c.Pre_Zombie_Labor  Tribunal c.Pre_Zombie_Labor#year  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year  ,absorb(id year#provi ) cluster(id)
outreg2 using table6.xls,bdec(4) keep(c.Tribunal#c.Pre_Zombie_Labor  Tribunal ) addtext(Control,Yes,City,Yes,Year,Yes,Prov#Year,Yes) replace
reghdfe  E_Share c.Tribunal#c.Pre_Zombie_Labor  Tribunal c.Pre_Zombie_Labor#year  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year  ,absorb(id year#provi) cluster(id )
outreg2 using table6.xls,bdec(4) keep(c.Tribunal#c.Pre_Zombie_Labor  Tribunal ) addtext(Control,Yes,City,Yes,Year,Yes,Prov#Year,Yes) append
reghdfe  Ln_entry c.Tribunal#c.Pre_Zombie_Labor  Tribunal c.Pre_Zombie_Labor#year  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year  ,absorb(id year#provi ) cluster(id)
outreg2 using table6.xls,bdec(4) keep(c.Tribunal#c.Pre_Zombie_Labor  Tribunal ) addtext(Control,Yes,City,Yes,Year,Yes,Prov#Year,Yes) append

*正文“表7 破产审判改革对地区资源配置效率和就业的影响”
clear
use  "C:\Users\20351\Desktop\Data_Code\city_data.dta"  
reghdfe   tau_k Tribunal     c.Ln_rgdp#year c.Ln_growth#year   c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year,absorb(id  year#provi) vce(cluster id)
outreg2 using table7.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City,Yes,Year,Yes) replace
reghdfe   tau_l Tribunal     c.Ln_rgdp#year c.Ln_growth#year    c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year      ,absorb(id  year#provi) vce(cluster id)
outreg2 using table7.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City,Yes,Year,Yes) append
reghdfe  Ln_employ   Tribunal     c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year   ,absorb(id year#provi) cluster(id)
outreg2 using table7.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City,Yes,Year,Yes) append
reghdfe   Ln_employ_NS  Tribunal     c.Ln_rgdp#year c.Ln_growth#year    c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year    ,absorb(id year#provi) cluster(id)
 outreg2 using table7.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City,Yes,Year,Yes) append
reghdfe   Ln_employ_S   Tribunal     c.Ln_rgdp#year c.Ln_growth#year    c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year    ,absorb(id year#provi) cluster(id)
outreg2 using table7.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City,Yes,Year,Yes) append


*************************************************附录部分内容***************************************************
*附录III"表III1 Bacon分解"及"图III1 Bacon分解图"
clear
use "C:\Users\20351\Desktop\Data_Code\city_data.dta" 
bacondecomp Ln_entry Tribunal , ddetail
****相关导出文件请参见"附录III_图III1_bacon.gph"文件*****


*附录III“图III2 基于异质性稳健DID估计量（Sun and Abraham（2021））的平行趋势”
clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
eventstudyinteract Ln_entry pr_7 pr_6 pr_5 pr_4 pr_3 pr_2 po_0 po_1 po_2 po_3 po_4  , cohort(Policy) control_cohort(never) covariates(c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year c.Public#year  c.Ins#year c.Ln_fdi#year ) absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
matrix C = e(b_iw)
mata st_matrix("A",sqrt(st_matrix("e(V_iw)")))
matrix C = C \ A
matrix list C
coefplot matrix(C[1]), se(C[2]) vertical yline(0, lp(solid) lc(gs0) lw(thin)) xline(7, lp(solid) lc(gs0) lw(thin)) ytitle(`"{fontface "宋体":估计系数}"') xtitle(`"{fontface "宋体":相对于政策实施时间（年份）}"')  ciopts(recast(rline) lc(gs0) lp(dash) lw(thin)) scale(1.2) xscale(titlegap(tiny))  scheme(s1color) addplot(line @b @at) xlabel (1 "-7" 2 "-6" 3 "-5" 4 "-4" 5 "-3" 6 "-2" 7 "0" 8 "1" 9 "2" 10 "3" 11 "4" )
****相关导出文件请参见"附录III_图III2.gph"文件*****

*附录III“表III2 排除同期其他政策冲击”
clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
*(1)
reghdfe  Ln_entry Tribunal treat_gov    c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year  ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableIII2.xls,bdec(4) keep(Tribunal treat_gov) addtext(Control,Yes,City,Yes,Prov#Year,Yes,Industry#Year,Yes) replace
*(2)
reghdfe  Ln_entry Tribunal reform_com  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year  ,absorb(  industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableIII2.xls,bdec(4) keep(Tribunal reform_com) addtext(Control,Yes,City,Yes,Prov#Year,Yes,Industry#Year,Yes) append
*(3)
reghdfe  Ln_entry Tribunal treat_gov   reform_com  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year  ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableIII2.xls,bdec(4) keep(Tribunal treat_gov reform_com) addtext(Control,Yes,City,Yes,Prov#Year,Yes,Industry#Year,Yes) append
*(4)
reghdfe  Ln_entry Tribunal    c.reform_com#c.reform_policyNum  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableIII2.xls,bdec(4) keep(Tribunal c.reform_com#c.reform_policyNum ) addtext(Control,Yes,City,Yes,Prov#Year,Yes,Industry#Year,Yes) append
*(5)
reghdfe  Ln_entry Tribunal treat_gov   c.reform_com#c.reform_policyNum    c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year  ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableIII2.xls,bdec(4) keep(Tribunal treat_gov c.reform_com#c.reform_policyNum) addtext(Control,Yes,City,Yes,Prov#Year,Yes,Industry#Year,Yes) append

*附录III“表III3 其他稳健性检验”
*更换被解释变量测度:人均新企业进入
clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
reghdfe  Entry_Per Tribunal   c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year   ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableIII3.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes,City#Year,Yes) replace
*更换被解释变量测度:新企业进入率
reghdfe  Entry_Ratio Tribunal   c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableIII3.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes,City#Year,Yes) append
*排除省高院层面设立破产审判庭的影响 
reghdfe  Ln_entry Tribunal_new  c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableIII3.xls,bdec(4) keep(Tribunal_new) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes,City#Year,Yes) append
*剔除直辖市样本
reghdfe  Ln_entry Tribunal   c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year   if  bigcity==0 ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
 outreg2 using tableIII3.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes,City#Year,Yes) append
*变更聚类方式
reghdfe  Ln_entry Tribunal   c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster provcode)
outreg2 using tableIII3.xls,bdec(4) keep(Tribunal) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes,City#Year,Yes) append


*附录III"图III3 安慰剂检验-基于随机化处理组样本"
****相关导出文件请参见"附录III_图III3_a.gph","附录III_图III3_b.gph","附录III_图III3_c.gph"和"附录III_图III3_d.gph"文件****
**图III3_a
clear
use "C:\Users\20351\Desktop\Data_Code\city_data.dta" 
reghdfe  Ln_entry Tribunal c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year ,absorb(id year#provi) cluster(id)
estimates store city1
didplacebo city1 , treatvar(Tribunal) pbounit rep(500) seed(1)

**图III3_b
clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
reghdfe  Ln_entry Tribunal c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
estimates store city_ind
didplacebo city_ind , treatvar(Tribunal) pbounit rep(500) seed(1)

**图III3_c
clear
use "C:\Users\20351\Desktop\Data_Code\city_data.dta" 
reghdfe  Ln_entry Tribunal c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year ,absorb(id year#provi) cluster(id)
estimates store city2
didplacebo city2, treatvar(Tribunal) pbomix(2)

**图III3_d
clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
reghdfe  Ln_entry Tribunal c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
estimates store city_ind2
didplacebo city_ind2, treatvar(Tribunal) pbomix(2)


*附录V“表V1 破产审判改革对创业保障水平不同地区新企业进入的影响”
clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
reghdfe  Ln_entry Tribunal c.Tribunal#c.Religion c.Religion#year c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year  c.Public#year c.Ins#year c.Ln_fdi#year  ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id#year)
outreg2 using tableV1.xls,bdec(4) keep(Tribunal c.Tribunal#c.Religion) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes) replace
reghdfe  Ln_entry Tribunal c.Tribunal#c.Bg c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year    c.Public#year  c.Ins#year c.Ln_fdi#year  ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id#year)
outreg2 using tableV1.xls,bdec(4) keep(Tribunal c.Tribunal#c.Bg) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes) append


*附录V“表V2 破产审判改革对资产专用性水平不同行业新企业进入的影响”
clear
use "C:\Users\20351\Desktop\Data_Code\city_industry_data.dta"
reghdfe  Ln_entry Tribunal c.Tribunal#c.CI c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year c.Public#year  c.Ins#year c.Ln_fdi#year  ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableV2.xls,bdec(4) keep(Tribunal c.Tribunal#c.CI) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes) replace
reghdfe  Ln_entry Tribunal c.Tribunal#c.SC c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year c.Public#year  c.Ins#year c.Ln_fdi#year  ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableV2.xls,bdec(4) keep(Tribunal c.Tribunal#c.SC) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes) append
reghdfe  Ln_entry Tribunal c.Tribunal#c.HC c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year c.Ln_pop#year c.Public#year  c.Ins#year c.Ln_fdi#year  ,absorb(industrycode#id year provcode#year industrycode#year) vce(cluster id)
outreg2 using tableV2.xls,bdec(4) keep(Tribunal c.Tribunal#c.HC) addtext(Control,Yes,City#Industry,Yes,Prov#Year,Yes,Industry#Year,Yes) append

*附录VI“表VI1 破产审判改革对企业退出的影响”
clear
use "C:\Users\20351\Desktop\Data_Code\city_data.dta" 
reghdfe  Ln_exit   Tribunal   c.Ln_firm#year ,absorb(id year) cluster(id)
outreg2 using tableVI1.xls,bdec(4)   keep(Tribunal)  addtext(Controls,No,City FE,Yes,Year FE,Yes,Prov#Yer,No) replace
reghdfe  Ln_exit   Tribunal   c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year ,absorb(id year) cluster(id)
outreg2 using tableVI1.xls,bdec(4)   keep(Tribunal)  addtext(Controls,Yes,City FE,Yes,Year FE,Yes,Prov#Yer,No) append
reghdfe  Ln_exit   Tribunal   c.Ln_firm#year c.Ln_rgdp#year c.Ln_growth#year c.Ln_growth2#year  c.Ln_pop#year   c.Public#year c.order#year c.Ins#year  c.Ln_fdi#year,absorb(id year#provi) cluster(id)
outreg2 using tableVI1.xls,bdec(4)   keep(Tribunal)  addtext(Controls,Yes,City FE,Yes,Year FE,Yes,Prov#Yer,Yes) append

*附录VII“表VII1 破产审判改革对中小企业信贷获取的影响”
clear
use "C:\Users\20351\Desktop\Data_Code\firm_data.dta"
reghdfe Bank_Loan1  c.Tribunal#c.MSC Tribunal MSC ,a(Stkcd year#provi ) cluster(city)
outreg2 using tableVII1.xls,bdec(4) keep(c.Tribunal#c.MSC Tribunal) addtext(Control,No,Firm FE,Yes,Year FE,Yes) replace
reghdfe Bank_Loan1  c.Tribunal#c.MSC Tribunal MSC lnsize PPE Growth level  CASH ROA ,a(Stkcd year#provi) cluster(city)
outreg2 using tableVII1.xls,bdec(4) keep(c.Tribunal#c.MSC Tribunal) addtext(Control,Yes,Firm FE,Yes,Year FE,Yes) append
reghdfe Bank_Loan2  c.Tribunal#c.MSC Tribunal MSC ,a(Stkcd year#provi) cluster(city)
outreg2 using tableVII1.xls,bdec(4) keep(c.Tribunal#c.MSC Tribunal) addtext(Control,No,Firm FE,Yes,Year FE,Yes) append
reghdfe Bank_Loan2  c.Tribunal#c.MSC Tribunal MSC lnsize PPE Growth level  CASH ROA ,a(Stkcd year#provi) cluster(city)
outreg2 using tableVII1.xls,bdec(4) keep(c.Tribunal#c.MSC Tribunal) addtext(Control,Yes,Firm FE,Yes,Year FE,Yes) append

*附录VII“表VII2 破产审判改革对企业债券融资成本的影响”
clear
use "C:\Users\20351\Desktop\Data_Code\bond_data.dta"
reghdfe CS Tribunal,a(id year#provi industry_1#year) cluster(id)
outreg2 using tableVII2.xls,bdec(4) keep(Tribunal ) addtext(Control,No,Bond,No,City,Yes,Provi#Year,Yes,Industry#Year,Yes) replace
reghdfe CS Tribunal BonS BonT inv_bond list,a(id year#provi industry_1#year) cluster(id)
outreg2 using tableVII2.xls,bdec(4) keep(Tribunal ) addtext(Control,Yes,Bond,No,City,Yes,Provi#Year,Yes,Industry#Year,Yes) append
reghdfe CS Tribunal BonS BonT inv_bond list,a(id year#provi industry_1#year  BonR soe ) cluster(id)
outreg2 using tableVII2.xls,bdec(4) keep(Tribunal ) addtext(Control,Yes,Bond,Yes,City,Yes,Provi#Year,Yes,Industry#Year,Yes) append
****************************************************************************************************************

